: Class NewsStore

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grendel.storage
Class NewsStore

    java.lang.Object
      |
      +--javax.mail.Service
            |
            +--javax.mail.Store
                  |
                  +--grendel.storage.NewsStore

public class NewsStore
extends javax.mail.Store

Store for News (NNTP) folders.

This class really shouldn't be public, but I haven't figured out how to tie into javamail's Session class properly. So, instead of using `Session.getStore(String)`, you instead need to call `NewsStore.GetDefaultStore(Session)`.

Field Summary
`protected static NewsStore` | `DefaultStore`
`protected NewsRC` | `newsrc`
`protected grendel.storage.NNTPConnection` | `nntp`
`protected grendel.storage.NewsFolderRoot` | `root_folder`

Fields inherited from class javax.mail.Service
`debug, session, url`

Constructor Summary
`NewsStore(javax.mail.Session s)`
`NewsStore(javax.mail.Session s, javax.mail.URLName u)`

Method Summary
`void` | `close()`
`javax.mail.Folder` | `getDefaultFolder()`
`static javax.mail.Store` | `GetDefaultStore(javax.mail.Session s)`
`javax.mail.Folder` | `getFolder(java.lang.String name)`
`javax.mail.Folder` | `getFolder(java.net.URL url)`
`javax.mail.Folder` | `getFolder(javax.mail.URLName urlName)`
`protected boolean` | `protocolConnect(java.lang.String host, int port, java.lang.String user, java.lang.String password)`

Methods inherited from class javax.mail.Store
`addFolderListener, addStoreListener, notifyFolderListeners, notifyFolderRenamedListeners, notifyStoreListeners, removeFolderListener, removeStoreListener`

Methods inherited from class javax.mail.Service
`addConnectionListener, connect, connect, connect, finalize, getURLName, isConnected, notifyConnectionListeners, queueEvent, removeConnectionListener, setConnected, setURLName, toString`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### nntp

    protected grendel.storage.NNTPConnection nntp

### newsrc

    protected NewsRC newsrc

### root_folder

    protected grendel.storage.NewsFolderRoot root_folder

### DefaultStore

    protected static NewsStore DefaultStore

Constructor Detail

### NewsStore

    public NewsStore(javax.mail.Session s)

### NewsStore

    public NewsStore(javax.mail.Session s,
                     javax.mail.URLName u)

Method Detail

### GetDefaultStore

    public static javax.mail.Store GetDefaultStore(javax.mail.Session s)

### protocolConnect

    protected boolean protocolConnect(java.lang.String host,
                                      int port,
                                      java.lang.String user,
                                      java.lang.String password)
                               throws javax.mail.MessagingException

  Overrides:
    protocolConnect in class javax.mail.Service

### close

    public void close()

  Overrides:
    close in class javax.mail.Service

### getDefaultFolder

    public javax.mail.Folder getDefaultFolder()

  Overrides:
    getDefaultFolder in class javax.mail.Store

### getFolder

    public javax.mail.Folder getFolder(java.lang.String name)
                                throws javax.mail.MessagingException

  Overrides:
    getFolder in class javax.mail.Store

### getFolder

    public javax.mail.Folder getFolder(java.net.URL url)

### getFolder

    public javax.mail.Folder getFolder(javax.mail.URLName urlName)

  Overrides:
    getFolder in class javax.mail.Store

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD